## baloo-widgets 4.13.0

=== CMakeLists.txt ===
project(baloo-widgets)

set(CMAKE_BALOO_WIDGETS_VERSION_MAJOR 0)
set(CMAKE_BALOO_WIDGETS_VERSION_MINOR 1)
set(CMAKE_BALOO_WIDGETS_VERSION_RELEASE 0)
set(CMAKE_BALOO_WIDGETS_VERSION_STRING "${CMAKE_BALOO_WIDGETS_VERSION_MAJOR}.${CMAKE_BALOO_WIDGETS_VERSION_MINOR}.${CMAKE_BALOO_WIDGETS_VERSION_RELEASE}")

# Search for the required packages
# ================================
find_package(KDE4 4.10 REQUIRED)
include(KDE4Defaults)

find_package(Baloo)
set_package_properties(Baloo PROPERTIES DESCRIPTION "The Baloo libraries" URL "http://kde.org"
                       TYPE REQUIRED PURPOSE "Required for compiling Baloo")

find_package(KFileMetaData CONFIG)
set_package_properties(KFileMetaData PROPERTIES
    DESCRIPTION "A library for extracting file metadata"
    URL "https://projects.kde.org/kfilemetadata"
    TYPE REQUIRED
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

# Some definitions
# ================
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

include_directories(
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${BALOO_INCLUDE_DIR}
  ${KFILEMETADATA_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src
)


# generate BalooWidgetsConfig.cmake for easy utilisation of the package by other cmake build systems
# ===============================================================================================
configure_file(BalooWidgetsConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/BalooWidgetsConfig.cmake @ONLY)

# Generate BalooWidgetsConfigVersion.cmake
macro_write_basic_cmake_version_file(${CMAKE_CURRENT_BINARY_DIR}/BalooWidgetsConfigVersion.cmake
                                     ${CMAKE_BALOO_WIDGETS_VERSION_MAJOR}
                                     ${CMAKE_BALOO_WIDGETS_VERSION_MINOR}
                                     ${CMAKE_BALOO_WIDGETS_VERSION_RELEASE}
                                     )
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/BalooWidgetsConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/BalooWidgetsConfigVersion.cmake
    DESTINATION ${LIB_INSTALL_DIR}/cmake/BalooWidgets)

add_subdirectory(src)
add_subdirectory(test)

# install the file with the exported targets
install(EXPORT BalooWidgetsLibraryTargets
        DESTINATION ${LIB_INSTALL_DIR}/cmake/BalooWidgets
        FILE BalooWidgetsTargetsWithPrefix.cmake
)

=== src/CMakeLists.txt ===
set(ui_SRCS
  kblocklayout.cpp
  tagwidget.cpp
  kedittagsdialog.cpp
  tagcheckbox.cpp
  filemetadatawidget.cpp
  filemetadataconfigwidget.cpp
  filemetadataprovider.cpp
  indexeddataretriever.cpp
  kcommentwidget.cpp
  metadatafilter.cpp
  widgetfactory.cpp
)

set(widgets_SRCS ${ui_SRCS})

kde4_add_library(baloowidgets SHARED ${LIBRARY_TYPE} ${widgets_SRCS})

target_link_libraries(baloowidgets
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${BALOO_LIBRARIES}
  ${KFILEMETADATA_LIBRARY}
)

target_link_libraries(baloowidgets
  LINK_INTERFACE_LIBRARIES
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${BALOO_LIBRARIES}
)

set_target_properties(baloowidgets PROPERTIES
   VERSION ${GENERIC_LIB_VERSION}
   SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(TARGETS baloowidgets EXPORT BalooWidgetsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  widgets_export.h
  tagwidget.h
  filemetadatawidget.h
  filemetadataconfigwidget.h

  DESTINATION ${INCLUDE_INSTALL_DIR}/baloo COMPONENT Devel
)

=== test/CMakeLists.txt ===
project(baloowidgets-tests)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}/..
)

add_definitions(-DBUILDING_BALOO_TESTS)

# Ui tests
# --------------------------------------------
kde4_add_executable(tagwidgetapp TEST tagwidgetapp.cpp tagwidgettest.cpp)
target_link_libraries(tagwidgetapp
  ${KDE4_KIO_LIBS}
  ${BALOO_LIBRARIES}
  baloowidgets
)

kde4_add_executable(metadatawidgetapp TEST metadatawidgetapp.cpp metadatawidgettest.cpp)
target_link_libraries(metadatawidgetapp
  ${KDE4_KIO_LIBS}
  ${BALOO_LIBRARIES}
  baloowidgets
)

kde4_add_executable(metadataconfigwidgetapp TEST metadataconfigwidgetapp.cpp )
target_link_libraries(metadataconfigwidgetapp
  ${KDE4_KIO_LIBS}
  ${BALOO_LIBRARIES}
  baloowidgets
)

=== debian/changelog ===
baloo-widgets (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:33:19 +0100

baloo-widgets (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:04:39 +0200

baloo-widgets (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:51:49 +0100

baloo-widgets (4:4.12.90-0ubuntu1) trusty; urgency=low

  [ Jonathan Riddell ]
  * Initial release

  [ Scarlett Clark ]
  * Fix copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:30:58 +0000

=== debian/control ===
Source: baloo-widgets
Section: kde
Priority: optional
Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: debhelper (>= 9.0.0), cmake,
 pkg-kde-tools,
 kdelibs5-dev (>= 4:4.13.0),
 baloo-dev (>= 4:4.13.0),
 libkfilemetadata-dev (>= 4:4.13.0),
 libphonon-dev
Standards-Version: 3.9.5
Homepage: http://projects.kde.org/baloo

Package: libbaloowidgets4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.
 .
 Baloo is part of KDE SC.

Package: libbaloowidgets-dev
Architecture: any
Section: libdevel
Depends: libbaloowidgets4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.
 .
 Baloo is part of KDE SC.

Package: libbaloowidgets4-dbg
Architecture: any
Depends: libbaloowidgets4 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Description: Debugging symbols for Baloo Widgets
 Baloo is a framework for searching and managing metadata in KDE.
 .
 This package contains debugging symbols for Baloo Widgets library.
 .
 Baloo is part of KDE SC.

## baloo-widgets 4.13.3

=== debian/changelog ===
baloo-widgets (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:19:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Rohan Garg <rohangarg@kubuntu.org>
 Build-Depends: debhelper (>= 9.0.0), cmake,
  pkg-kde-tools,
- kdelibs5-dev (>= 4:4.13.0),
- baloo-dev (>= 4:4.13.0),
- libkfilemetadata-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
+ baloo-dev (>= 4:4.13.3),
+ libkfilemetadata-dev (>= 4:4.13.3),
  libphonon-dev
 Standards-Version: 3.9.5
 Homepage: http://projects.kde.org/baloo

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=libbaloowidgets4-dbg

.PHONY: override_dh_auto_test

## baloo-widgets 4.14.0

=== debian/changelog ===
baloo-widgets (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install file.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 01:19:14 +0200

baloo-widgets (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:26:36 +0200

baloo-widgets (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:04:03 +0200

baloo-widgets (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:20:17 +0200

baloo-widgets (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add missing build-dep libx11-dev

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:20:55 +0200

baloo-widgets (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 14:19:49 +0200

baloo-widgets (4:4.13.2-1) experimental; urgency=medium

  * Initial release for debian, packaged merged with the kubuntu version.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Jun 2014 11:18:43 +0200

baloo-widgets (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:38:30 +0100

=== debian/control ===
Source: baloo-widgets
Section: kde
Priority: optional
Maintainer: Debian/Ubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Rohan Garg <rohangarg@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-dev,
               cmake,
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.10),
               libkfilemetadata-dev,
               libphonon-dev,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: http://projects.kde.org/baloo-widgets
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/baloo-widgets.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/baloo-widgets.git

Package: libbaloowidgets4
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Widgets for Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.
 .
 Baloo is part of KDE SC.

Package: libbaloowidgets-dev
Architecture: any
Section: libdevel
Depends: libbaloowidgets4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.
 .
 Baloo is part of KDE SC.

Package: libbaloowidgets4-dbg
Architecture: any
Depends: libbaloowidgets4 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Description: Debugging symbols for Baloo Widgets
 Baloo is a framework for searching and managing metadata in KDE.
 .
 This package contains debugging symbols for Baloo Widgets library.
 .
 Baloo is part of KDE SC.

=== debian/tests/control ===
# Tests: testsuite
# Depends: @
# Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/baloo-widgets-([\d.]+).tar.xz

## baloo-widgets 4.14.1

=== debian/changelog ===
baloo-widgets (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 22 Sep 2014 16:20:59 +0200

=== debian/control ===
Source: baloo-widgets
Section: kde
Priority: optional
Maintainer: Rohan Garg <rohangarg@kubuntu.org>
Build-Depends: debhelper (>= 9.0.0), cmake,
 pkg-kde-tools,
 kdelibs5-dev (>= 4:4.14.1),
 baloo-dev (>= 4:4.14.1),
 libkfilemetadata-dev (>= 4:4.14.1),
 libphonon-dev,
 libx11-dev
Standards-Version: 3.9.5
Homepage: http://projects.kde.org/baloo

Package: libbaloowidgets4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.
 .
 Baloo is part of KDE SC.

Package: libbaloowidgets-dev
Architecture: any
Section: libdevel
Depends: libbaloowidgets4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.
 .
 Baloo is part of KDE SC.

Package: libbaloowidgets4-dbg
Architecture: any
Depends: libbaloowidgets4 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Description: Debugging symbols for Baloo Widgets
 Baloo is a framework for searching and managing metadata in KDE.
 .
 This package contains debugging symbols for Baloo Widgets library.
 .
 Baloo is part of KDE SC.

## baloo-widgets 4.14.2

=== debian/changelog ===
baloo-widgets (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:34:10 +0200

baloo-widgets (4:4.14.2-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  * New upstream release
  * Fix spacing and match debina license to upstream in copyright. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:31:30 -0700

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Rohan Garg <rohangarg@kubuntu.org>
 Build-Depends: debhelper (>= 9.0.0), cmake,
  pkg-kde-tools,
- kdelibs5-dev (>= 4:4.14.1),
- baloo-dev (>= 4:4.14.1),
- libkfilemetadata-dev (>= 4:4.14.1),
+ kdelibs5-dev (>= 4:4.14.2),
+ baloo-dev (>= 4:4.14.2),
+ libkfilemetadata-dev (>= 4:4.14.2),
  libphonon-dev,
  libx11-dev
 Standards-Version: 3.9.5

## baloo-widgets 15.08.2

=== debian/changelog ===
baloo-widgets (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:47:27 +0100

baloo-widgets (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:04:26 +0100

baloo-widgets (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:54:28 +0100

baloo-widgets (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Port to frameworks 5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 08:55:44 +0100

baloo-widgets (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Fix spacing and match debina license to upstream in copyright. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:31:30 -0700

=== debian/control ===
Source: baloo-widgets
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: baloo-kf5-dev,
               cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               libkf5config-dev,
               libkf5filemetadata-dev,
               libkf5kdelibs4support-dev,
               libkf5service-dev,
               pkg-kde-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/baloo-widgets.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/baloo-widgets.git
Homepage: http://projects.kde.org/baloo-widgets

Package: libkf5baloowidgets5
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5baloowidgets-bin
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

Package: libkf5baloowidgets-bin
Architecture: any
Section: libs
Depends: baloo-kf5, ${misc:Depends}, ${shlibs:Depends}
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libkf5baloowidgets-dev
Architecture: any
Section: libdevel
Depends: libkf5baloowidgets5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: foreign
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf5baloowidgets5-dbg
Architecture: any
Depends: libkf5baloowidgets5 (= ${binary:Version}), ${misc:Depends}
Priority: extra
Section: debug
Description: Debugging symbols for Baloo Widgets
 Baloo is a framework for searching and managing metadata in KDE.
 .
 This package contains debugging symbols for Baloo Widgets library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	dh_strip --dbg-package=libkf5baloowidgets5-dbg

.PHONY: override_dh_auto_test

## baloo-widgets 15.12.3

=== CMakeLists.txt ===
project(baloo-widgets)
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.14 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

find_package(Qt5 REQUIRED NO_MODULE COMPONENTS Core Widgets Test)
find_package(KF5 REQUIRED COMPONENTS Config KIO I18n FileMetaData Baloo)

include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)

include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMGenerateHeaders)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
#TODO remove these
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

set(KF5_VERSION "5.0.0")
ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX BALOO_WIDGETS
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloowidgets_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake")

include_directories(
   ${CMAKE_SOURCE_DIR}/src
   ${CMAKE_BINARY_DIR}/src
   ${CMAKE_SOURCE_DIR}/src/naturalqueryparser
   ${CMAKE_BINARY_DIR}/src/naturalqueryparser
   ${CMAKE_BINARY_DIR}/src/naturalqueryparser/baloo
)

add_subdirectory(src)
add_subdirectory(test)
add_subdirectory(autotests)

# Config files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5BalooWidgets")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5BalooWidgetsTargets
        NAMESPACE KF5::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KF5BalooWidgetsTargets.cmake
)


feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== test/CMakeLists.txt ===
add_executable(tagwidgetapp tagwidgetapp.cpp tagwidgettest.cpp)
target_link_libraries(tagwidgetapp
  KF5::Baloo
  KF5::BalooWidgets
  Qt5::Widgets
  Qt5::Core
)

add_executable(metadatawidgetapp metadatawidgetapp.cpp)
target_link_libraries(metadatawidgetapp
  KF5::Baloo
  KF5::BalooWidgets
  Qt5::Widgets
  Qt5::Core
)

add_executable(metadataconfigwidgetapp metadataconfigwidgetapp.cpp)
target_link_libraries(metadataconfigwidgetapp
  KF5::Baloo
  KF5::BalooWidgets
  Qt5::Widgets
  Qt5::Core
)

#add_executable(querybuilderapp querybuilderapp.cpp )
#target_link_libraries(querybuilderapp
#  KF5::BalooNaturalQueryParser
#  KF5::BalooWidgets
#  Qt5::Widgets
#  Qt5::Core
#)

=== src/naturalqueryparser/autotests/CMakeLists.txt ===
#
# Query Parser
#
set(queryParser_SRC naturalqueryparsertest.cpp)

ecm_add_test(naturalqueryparsertest.cpp
    TEST_NAME "naturalqueryparsertest"
    LINK_LIBRARIES Qt5::Test KF5::Baloo KF5BalooNaturalQueryParser
)

=== debian/changelog ===
baloo-widgets (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:49:21 -0700

baloo-widgets (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:21:37 +0100

baloo-widgets5 (15.08.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 21 Sep 2015 16:21:50 +0200

baloo-widgets5 (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Sep 2015 01:28:20 +0200

baloo-widgets (4:4.14.0-2) unstable; urgency=medium

  * Update symbols files. (Closes: #777793)
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Aug 2015 17:31:11 +0200

=== debian/control ===
Source: baloo-widgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.13),
               cmake (>= 2.8.12~),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 0.0.14~),
               kio-dev,
               libkf5config-dev,
               libkf5filemetadata-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libkf5service-dev,
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/baloo-widgets.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/baloo-widgets.git
Homepage: http://projects.kde.org/baloo-widgets

Package: libkf5baloowidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5filemetadata-bin, ${misc:Depends}, ${shlibs:Depends}
Recommends: libkf5baloowidgets-bin
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

Package: libkf5baloowidgets-bin
Architecture: any
Section: libs
Depends: baloo-kf5, ${misc:Depends}, ${shlibs:Depends}
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libkf5baloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: kio-dev,
         libkf5baloowidgets5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf5baloowidgets5-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libkf5baloowidgets5 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for Baloo Widgets
 Baloo is a framework for searching and managing metadata in KDE.
 .
 This package contains debugging symbols for Baloo Widgets library.

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,6 @@
 override_dh_strip:
 	dh_strip --dbg-package=libkf5baloowidgets5-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable unit tests at build time
+	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/baloo-widgets-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/baloo-widgets-([\d.]+).tar.xz

## baloo-widgets 17.08.3

=== debian/changelog ===
baloo-widgets (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Remove unused build dependencies: kio-dev, libkf5kdelibs4support-dev, and
    libkf5service-dev.
  * Drop unused ${shlibs:Depends} substvar from libkf5baloowidgets-dev.
  * Switch kio-dev dependency to libkf5kio-dev in libkf5baloowidgets-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 10:20:52 +0100

baloo-widgets (4:17.08.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Fix Vcs-* fields.

  [ Maximiliano Curia ]
  * Drop empty file
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:47 +0200

baloo-widgets (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:42 +0000

baloo-widgets (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:20 +0000

baloo-widgets (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:28 +0000

baloo-widgets (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:07:14 +0000

baloo-widgets (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:01:59 +0000

baloo-widgets (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:45:39 +0000

baloo-widgets (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:54:41 +0000

baloo-widgets (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:12:26 +0000

baloo-widgets (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:21:50 +0000

baloo-widgets (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:44 +0000

baloo-widgets (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:09 +0000

baloo-widgets (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:53 +0000

baloo-widgets (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:03 +0000

baloo-widgets (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Jul 2016 17:02:35 +0000

baloo-widgets5 (16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:24:12 +0200

baloo-widgets5 (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:04 +0100

=== debian/control ===
Source: baloo-widgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.19~),
               cmake (>= 2.8.12~),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 0.0.14~),
               libkf5config-dev (>= 5.19~),
               libkf5filemetadata-dev (>= 5.19~),
               libkf5i18n-dev (>= 5.19~),
               libkf5kio-dev (>= 5.19~),
               pkg-kde-tools,
               qtbase5-dev,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/baloo-widgets.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/baloo-widgets.git
Homepage: http://projects.kde.org/baloo-widgets

Package: libkf5baloowidgets-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wigets for use with Baloo - binaries
 Baloo is a framework for searching and managing metadata.
 .
 This package contains binaries used by the baloo widgets library.

Package: libkf5baloowidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5kio-dev (>= 5.19~),
         libkf5baloowidgets5 (= ${binary:Version}),
         ${misc:Depends},
Description: Development headers for developing applications with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains development headers for Baloo Widgets library.

Package: libkf5baloowidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5filemetadata-bin, ${misc:Depends}, ${shlibs:Depends}
Breaks: dolphin (<< 4:17.08), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: libkf5baloowidgets-bin
Description: Wigets for use with Baloo
 Baloo is a framework for searching and managing metadata.
 .
 This package contains GUI widgets for baloo.

## baloo-widgets 18.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "18")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "1")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
project(baloo-widgets VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION "5.8.0")
set(KF5_MIN_VERSION "5.43.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Core Widgets Test)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Config KIO I18n FileMetaData Baloo)

include(ECMSetupVersion)
include(ECMInstallIcons)

include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMGenerateHeaders)
include(ECMAddTests)
include(CMakePackageConfigHelpers)

#TODO remove these
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX BALOO_WIDGETS
                  SOVERSION 5
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloowidgets_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake")

include_directories(
   ${CMAKE_SOURCE_DIR}/src
   ${CMAKE_BINARY_DIR}/src
)

add_subdirectory(src)
if (BUILD_TESTING)
  add_subdirectory(test)
  add_subdirectory(autotests)
endif()

# Config files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5BalooWidgets")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooWidgetsConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5BalooWidgetsTargets
        NAMESPACE KF5::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KF5BalooWidgetsTargets.cmake
)


feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)
ki18n_install(po)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

ecm_add_test(extractortest.cpp
    TEST_NAME "extractortest"
    LINK_LIBRARIES Qt5::Test
)
ecm_add_tests(
    filemetadatawidgettest.cpp
    filemetadataitemcounttest.cpp
    filemetadatadatedisplaytest.cpp
    LINK_LIBRARIES KF5::KIOCore
    KF5::KIOWidgets
    KF5::KIOFileWidgets
    KF5::ConfigCore
    KF5::BalooWidgets
    KF5::FileMetaData 
    Qt5::Test 
    Qt5::Widgets
)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"baloowidgets5\")

add_subdirectory(filepropertiesplugin)

set(widgets_SRCS
  kblocklayout.cpp
  tagwidget.cpp
  kedittagsdialog.cpp
  tagcheckbox.cpp
  filemetadatawidget.cpp
  filemetadataconfigwidget.cpp
  filemetadataprovider.cpp
  indexeddataretriever.cpp
  kcommentwidget.cpp
  keditcommentdialog.cpp
  metadatafilter.cpp
  widgetfactory.cpp
  filefetchjob.cpp
)

add_library(KF5BalooWidgets ${widgets_SRCS})

add_library(KF5::BalooWidgets ALIAS KF5BalooWidgets)

target_link_libraries(KF5BalooWidgets
  PUBLIC
  Qt5::Widgets
  Qt5::Core
  KF5::KIOCore # KFileItem
  KF5::CoreAddons # KProcess, KJob

  PRIVATE
  KF5::I18n
  KF5::FileMetaData
  KF5::WidgetsAddons
  KF5::Baloo
  KF5::CoreAddons
  KF5::ConfigGui
)

set_target_properties(KF5BalooWidgets PROPERTIES
   VERSION ${BALOO_WIDGETS_VERSION_STRING}
   SOVERSION ${BALOO_WIDGETS_SOVERSION}
   EXPORT_NAME BalooWidgets
)

target_include_directories(KF5BalooWidgets INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets>")

generate_export_header(KF5BalooWidgets BASE_NAME BALOO_WIDGETS EXPORT_FILE_NAME widgets_export.h)

install(TARGETS KF5BalooWidgets EXPORT KF5BalooWidgetsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(KF5BalooWidgets_CamelCase_HEADERS
    HEADER_NAMES
    TagWidget
    FileMetaDataWidget
    FileMetaDataConfigWidget

    PREFIX baloo
    REQUIRED_HEADERS KF5BalooWidgets_HEADERS
)

install(FILES
  ${KF5BalooWidgets_CamelCase_HEADERS}
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets/Baloo
  COMPONENT Devel
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/widgets_export.h
  ${KF5BalooWidgets_HEADERS}
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/BalooWidgets/baloo
  COMPONENT Devel
)

#
# Extractor Process
#
add_executable(baloo_filemetadata_temp_extractor extractor.cpp)
target_link_libraries(baloo_filemetadata_temp_extractor
  Qt5::Core
  KF5::I18n
  KF5::FileMetaData
)

install(TARGETS baloo_filemetadata_temp_extractor DESTINATION ${BIN_INSTALL_DIR})

=== src/filepropertiesplugin/CMakeLists.txt ===
set(baloofilepropertiesplugin_PART_SRCS baloofilepropertiesplugin.cpp)

add_library(baloofilepropertiesplugin MODULE ${baloofilepropertiesplugin_PART_SRCS})

target_link_libraries(baloofilepropertiesplugin
    KF5::I18n
    KF5::KIOWidgets
    KF5::BalooWidgets
)

install(TARGETS baloofilepropertiesplugin DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES baloofilepropertiesplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
baloo-widgets (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Run the autopkgtest testsuite using xvfb-run, as it needs a GUI.
    (Closes: #908270)

 -- Pino Toscano <pino@debian.org>  Fri, 07 Sep 2018 21:37:12 +0200

baloo-widgets (4:18.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the versions of some of the build dependencies according to the
    upstream build system:
    - Qt packages to >= 5.8.0
    - Frameworks packages to >= 5.43.0
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Small touches to copyright file.
  * Update install files.
  * Update symbols file.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Sep 2018 07:53:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.19~),
+Build-Depends: baloo-kf5-dev (>= 5.43.0~),
                cmake (>= 2.8.12~),
-               debhelper (>= 9.0.0),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 0.0.14~),
-               libkf5config-dev (>= 5.19~),
-               libkf5filemetadata-dev (>= 5.19~),
-               libkf5i18n-dev (>= 5.19~),
-               libkf5kio-dev (>= 5.19~),
+               libkf5config-dev (>= 5.43.0~),
+               libkf5filemetadata-dev (>= 5.43.0~),
+               libkf5i18n-dev (>= 5.43.0~),
+               libkf5kio-dev (>= 5.43.0~),
                pkg-kde-tools,
-               qtbase5-dev,
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/baloo-widgets.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/baloo-widgets.git
+               qtbase5-dev (>= 5.8.0~),
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
 Homepage: http://projects.kde.org/baloo-widgets
 
 Package: libkf5baloowidgets-bin

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-5~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5baloowidgets5-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable unit tests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential, xvfb, xauth
Restrictions: build-needed

## baloo-widgets 19.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.0)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "18")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
 set (KDE_APPLICATIONS_VERSION_MINOR "08")
 set (KDE_APPLICATIONS_VERSION_MICRO "1")
 set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 project(baloo-widgets VERSION ${KDE_APPLICATIONS_VERSION})
 
 set(QT_MIN_VERSION "5.8.0")
-set(KF5_MIN_VERSION "5.43.0")
+set(KF5_MIN_VERSION "5.58.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})
@@ -28,9 +28,7 @@
 include(ECMAddTests)
 include(CMakePackageConfigHelpers)
 
-#TODO remove these
-remove_definitions(-DQT_NO_CAST_FROM_ASCII)
-remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
+add_definitions(-DQT_NO_FOREACH)
 
 ecm_setup_version(PROJECT
                   VARIABLE_PREFIX BALOO_WIDGETS

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"baloowidgets5\")
 
 add_subdirectory(filepropertiesplugin)
+add_subdirectory(tagsfileitemactionplugin)
 
 set(widgets_SRCS
   kblocklayout.cpp
@@ -10,6 +11,7 @@
   filemetadatawidget.cpp
   filemetadataconfigwidget.cpp
   filemetadataprovider.cpp
+  filemetadatautil.cpp
   indexeddataretriever.cpp
   kcommentwidget.cpp
   keditcommentdialog.cpp
@@ -76,7 +78,7 @@
 #
 # Extractor Process
 #
-add_executable(baloo_filemetadata_temp_extractor extractor.cpp)
+add_executable(baloo_filemetadata_temp_extractor extractor.cpp filemetadatautil.cpp)
 target_link_libraries(baloo_filemetadata_temp_extractor
   Qt5::Core
   KF5::I18n

=== debian/changelog ===
baloo-widgets (4:19.08.1-1) unstable; urgency=medium

  * New upstream release (19.08.1).
  * Update symbols files.
  * Update build-deps and deps with the info from cmake
  * Bump debhelper build-dep and compat to 12
  * Bump Standards-version to 4.4.0
  * Drop dbg migration
  * Add a salsa-ci script
  * Build with hardening bindnow
  * Update install files
  * Add Build-Depends-Package to the symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 Sep 2019 19:13:29 -0700

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.43.0~),
-               cmake (>= 2.8.12~),
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 0.0.14~),
-               libkf5config-dev (>= 5.43.0~),
-               libkf5filemetadata-dev (>= 5.43.0~),
-               libkf5i18n-dev (>= 5.43.0~),
-               libkf5kio-dev (>= 5.43.0~),
+Build-Depends: baloo-kf5-dev (>= 5.58.0~),
+               cmake (>= 3.0~),
+               debhelper (>= 12~),
+               extra-cmake-modules (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5filemetadata-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
                pkg-kde-tools,
                qtbase5-dev (>= 5.8.0~),
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
 Homepage: http://projects.kde.org/baloo-widgets
@@ -30,8 +30,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5kio-dev (>= 5.19~),
-         libkf5baloowidgets5 (= ${binary:Version}),
+Depends: libkf5baloowidgets5 (= ${binary:Version}),
+         libkf5kio-dev (>= 5.58.0~),
          ${misc:Depends},
 Description: Development headers for developing applications with Baloo
  Baloo is a framework for searching and managing metadata.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-5~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

override_dh_auto_test:
	# Disable unit tests at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, xauth, xvfb, @, @builddeps@
Restrictions: build-needed

## baloo-widgets 20.04.2

=== debian/changelog ===
baloo-widgets (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.11.0
    - bump KF packages to 5.60.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Switch the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Update install files.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 15:15:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: baloo-kf5-dev (>= 5.58.0~),
+Build-Depends: baloo-kf5-dev (>= 5.60.0~),
                cmake (>= 3.0~),
-               debhelper (>= 12~),
-               extra-cmake-modules (>= 5.58.0~),
-               libkf5config-dev (>= 5.58.0~),
-               libkf5filemetadata-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 5.60.0~),
+               gettext,
+               libkf5config-dev (>= 5.60.0~),
+               libkf5filemetadata-dev (>= 5.60.0~),
+               libkf5i18n-dev (>= 5.60.0~),
+               libkf5kio-dev (>= 5.60.0~),
                pkg-kde-tools,
-               qtbase5-dev (>= 5.8.0~),
-Standards-Version: 4.4.0
+               qtbase5-dev (>= 5.11.0~),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/baloo-widgets.git
 Homepage: http://projects.kde.org/baloo-widgets
@@ -31,7 +33,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5baloowidgets5 (= ${binary:Version}),
-         libkf5kio-dev (>= 5.58.0~),
+         libkf5kio-dev (>= 5.60.0~),
          ${misc:Depends},
 Description: Development headers for developing applications with Baloo
  Baloo is a framework for searching and managing metadata.
